
# Changelog

## 1.3.1 (2021-12-20)

### Added Features
- New web-based documentation provided with installation


## 1.3.0 (2021-12-01)

### Added Features
- Add tool to create ISP file by selecting packets from multiple streams


## 1.2.0 (2020-05-01)

### Added Features
- Add tool to sequence SSC between multiple ISP files
- Enable to sequence SSC based on initial APID:SCC values


## 1.1.0 (2020-11-24)

### Added Features
- Add support for ISP data records (based on dfdl:occursCountKind/occursCountKind)

### Improvements
- Update to DFDL4S 1.6.1


## 1.0.0 (2020-07-12)

### Added Features
- Rename project to SNEAK (as in `inStrumeNt sourcE pAcket toolKit`)

### Improvements
- Enable automatic source code formatting
- Enable sanitizers to all project components
- Simplify internal version formatting


## 0.0.8 (2020-06-24)

### Added Features
- Add support for MSVC 19.25 (for windows 64bit support)
- Correct format of double / Float64 fields


## 0.0.7 (2020-04-29)

### Added Features
- Add isp_transform to the toolkit


## 0.0.6 (2020-04-22)

### Added Features
- Enable --verbose option to display extraction progress status
- Enable custom representation for extracted fields
- Update to DFDL4S 1.5.3
- Update CMake script to define project version, homepage url and description


## 0.0.5 (2019-12-13)

### Added Features
- Add CHANGELOG to distribution packages
- Add option to define the separator of fields in the output
- Add option to define the value (i.e. marker) used when a unavailable field


## 0.0.4 (2019-12-13)

### Added Features
- Enable distribution package for Linux 64bit
- Add script to automate all build process
- Add README to distribution packages


## 0.0.3 (2019-01-10)

### Added Features
- Set precision of floating point values to nine decimal places


## 0.0.2 (2019-09-27)

### Added Features
- Enable support got GCC 4.8 (for Linux 64bit support)
- Add Metop-SG example


## 0.0.1 (2019-09-23)

### Added Features
- Add initial version of the ISP Extractor (only available on macOS 64 bit)
